# DataExchange
TKIGES
IGESDimen

# IGESDimen_LeaderArrow Class Reference

defines LeaderArrow, Type <214> Form <1-12>
in package IGESDimen
Consists of one or more line segments except when
leader is part of an angular dimension, with links to
presumed text item

`#include <IGESDimen_LeaderArrow.hxx>`

Inheritance diagram for IGESDimen_LeaderArrow:

[legend]

## Public Member Functions

Standard_EXPORT | IGESDimen_LeaderArrow ()
Standard_EXPORT void | Init (const Standard_Real height, const Standard_Real width, const Standard_Real depth, const gp_XY &position, const Handle(TColgp_HArray1OfXY)&segments)
| This method is used to set the fields of the class LeaderArrow - height : ArrowHead height - width : ArrowHead width - depth : Z Depth - position : ArrowHead coordinates - segments : Segment tail coordinate pairs .
Standard_EXPORT void | SetFormNumber (const Standard_Integer form)
| Changes FormNumber (indicates the Shape of the Arrow) Error if not in range [0-12] .
Standard_EXPORT Standard_Integer | NbSegments () const
| returns number of segments
Standard_EXPORT Standard_Real | ArrowHeadHeight () const
| returns ArrowHead height
Standard_EXPORT Standard_Real | ArrowHeadWidth () const
| returns ArrowHead width
Standard_EXPORT Standard_Real | ZDepth () const
| returns Z depth
Standard_EXPORT gp_Pnt2d | ArrowHead () const
| returns ArrowHead co-ordinates
Standard_EXPORT gp_Pnt | TransformedArrowHead () const
| returns ArrowHead co-ordinates after Transformation
Standard_EXPORT gp_Pnt2d | SegmentTail (const Standard_Integer Index) const
| returns segment tail co-ordinates. raises exception if Index <= 0 or Index > NbSegments
Standard_EXPORT gp_Pnt | TransformedSegmentTail (const Standard_Integer Index) const
| returns segment tail co-ordinates after Transformation. raises exception if Index <= 0 or Index > NbSegments
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | theArrowHeadHeight
Standard_Real | theArrowHeadWidth
Standard_Real | theZDepth
gp_XY | theArrowHead
Handle_TColgp_HArray1OfXY | theSegmentTails

## Constructor & Destructor Documentation

Standard_EXPORT IGESDimen_LeaderArrow::IGESDimen_LeaderArrow | ( |  | ) |

## Member Function Documentation

Standard_EXPORT gp_Pnt2d IGESDimen_LeaderArrow::ArrowHead | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_LeaderArrow::ArrowHeadHeight | ( |  | ) | const

Standard_EXPORT Standard_Real IGESDimen_LeaderArrow::ArrowHeadWidth | ( |  | ) | const

Standard_EXPORT const IGESDimen_LeaderArrow::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESDimen_LeaderArrow::Init | ( | const Standard_Real | height,
|  | const Standard_Real | width,
|  | const Standard_Real | depth,
|  | const gp_XY & | position,
|  | const Handle(TColgp_HArray1OfXY)& | segments
| ) |

Standard_EXPORT Standard_Integer IGESDimen_LeaderArrow::NbSegments | ( |  | ) | const

Standard_EXPORT gp_Pnt2d IGESDimen_LeaderArrow::SegmentTail | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT void IGESDimen_LeaderArrow::SetFormNumber | ( | const Standard_Integer | form | ) |

Standard_EXPORT gp_Pnt IGESDimen_LeaderArrow::TransformedArrowHead | ( |  | ) | const

Standard_EXPORT gp_Pnt IGESDimen_LeaderArrow::TransformedSegmentTail | ( | const Standard_Integer | Index | ) | const

Standard_EXPORT Standard_Real IGESDimen_LeaderArrow::ZDepth | ( |  | ) | const

## Field Documentation

gp_XY IGESDimen_LeaderArrow::theArrowHead `[private]`

Standard_Real IGESDimen_LeaderArrow::theArrowHeadHeight `[private]`

Standard_Real IGESDimen_LeaderArrow::theArrowHeadWidth `[private]`

Handle_TColgp_HArray1OfXY IGESDimen_LeaderArrow::theSegmentTails `[private]`

Standard_Real IGESDimen_LeaderArrow::theZDepth `[private]`

The documentation for this class was generated from the following file:

- IGESDimen_LeaderArrow.hxx